#
# Conditional build:
%bcond_with	apidocs	# gtk-doc based API documentation [missing in 41.0]

Summary:	GNOME To Do - application to manage your personal tasks
Summary(pl.UTF-8):	GNOME To Do - aplikacja do zarządzania osobistymi zadaniami
Name:		gnome-todo
Version:	41.0
Release:	2
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-todo/41/%{name}-%{version}.tar.xz
# Source0-md5:	606b3f54e9f3676ee017a4f02e11948a
Patch0:		%{name}-libportal.patch
URL:		https://wiki.gnome.org/Apps/Todo
BuildRequires:	evolution-data-server-devel >= 3.33.2
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.58.0
BuildRequires:	gnome-online-accounts-devel >= 3.2.0
BuildRequires:	gobject-introspection-devel >= 1.42.0
BuildRequires:	gtk4-devel >= 4.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.14}
BuildRequires:	libadwaita-devel
BuildRequires:	libpeas-devel >= 1.17
BuildRequires:	libportal-gtk4-devel >= 0.4
BuildRequires:	meson >= 0.53.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# for todoist plugin (disabled in src/plugins/meson.build as of 40.0)
#BuildRequires:	json-glib-devel
#BuildRequires:	rest-devel >= 0.7
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.58.0
Requires:	evolution-data-server >= 3.33.2
Requires:	glib2 >= 1:2.58.0
Requires:	gnome-online-accounts >= 3.2.0
Requires:	gtk4 >= 4.0
Requires:	hicolor-icon-theme
Requires:	libpeas >= 1.17
Requires:	libportal-gtk4 >= 0.4
Suggests:	libpeas-loader-python3 >= 1.17
Suggests:	python3-pygobject3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%description -l pl.UTF-8
GNOME To Do to mała aplikacja do zarządzania osobistymi zadaniami.
Wykorzystuje mechanizmy GNOME, więc całkowicie integruje się ze
środowiskiem graficznym GNOME.

%package devel
Summary:	Header files for GNOME To Do
Summary(pl.UTF-8):	Pliki nagłówkowe GNOME To Do
Group:		X11/Development/Libraries
Requires:	evolution-data-server-devel >= 3.33.2
Requires:	glib2-devel >= 1:2.58.0
Requires:	gtk4-devel >= 4.0
Requires:	libpeas-devel >= 1.17
%{!?with_gtk_doc:Obsoletes:	gnome-todo-apidocs < 41.0}

%description devel
This package provides header files required for GNOME To Do plugins
development.

%description devel -l pl.UTF-8
Pakiet dostarcza pliki nagłówkowe potrzebne do tworzenia wtyczek do
GNOME To Do.

%package apidocs
Summary:	GNOME To Do API documentation
Summary(pl.UTF-8):	Dokumentacja API GNOME To Do
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for GNOME To Do.

%description apidocs -l pl.UTF-8
Dokumentacja API GNOME To Do.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	%{?with_apidocs:-Ddocumentation=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-todo
%{_libdir}/girepository-1.0/Gtd-1.0.typelib
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.todo.gschema.xml
%{_datadir}/metainfo/org.gnome.Todo.appdata.xml
%{_desktopdir}/org.gnome.Todo.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Todo.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Todo.Devel.svg
%{_iconsdir}/hicolor/symbolic/actions/builder-view-left-pane-symbolic.svg
%{_iconsdir}/hicolor/symbolic/actions/drag-handle-symbolic.svg
%{_iconsdir}/hicolor/symbolic/actions/mail-inbox-symbolic.svg
%{_iconsdir}/hicolor/symbolic/actions/view-tasks-*-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Todo-symbolic.svg

%files devel
%defattr(644,root,root,755)
%{_includedir}/gnome-todo
%{_pkgconfigdir}/gnome-todo.pc
%{_datadir}/gir-1.0/Gtd-1.0.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-todo
%endif
%changelog
* Sun Apr 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-todo.git;a=log;h=master

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> d100d43
- added libportal patch (adjust for separate libportal-gtk4); release 2

* Fri Sep 17 2021 Jakub Bogusz <qboosh@pld-linux.org> f5f111d
- typo

* Thu Sep 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 43da957
- updated to 41.0
- removed outdated doc-build patch, gtk-doc documentation is not included in this version

* Wed Jun 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 6dd321e
- updated to 40.1

* Sun May 09 2021 Jakub Bogusz <qboosh@pld-linux.org> cc13ed9
- updated to 40.0
- updated doc-build patch
- removed obsolete ecal2 patch

* Sat Apr 17 2021 Jan Rękorajski <baggins@pld-linux.org> 77314f2
- Release 4 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 290817c
- unconditional noarch subpackages

* Fri Sep 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 4040fa1
- release 3 (e-d-s 3.38)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> d8ab2ab
- added git patch with libecal-2.0 (evolution-data-server 3.33.1+) support
- dropped obsolete eds patch
- release 2

* Sat May 11 2019 Jan Rękorajski <baggins@pld-linux.org> 0f49fd8
- up to 3.28.1
- fix build with evolution-data-server 3.32

* Tue Mar 20 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 0d2a60f
- Update to 3.28.0

* Sun Oct 01 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3ff25c4
- Update to 3.26.1

* Sat Jun 24 2017 Jakub Bogusz <qboosh@pld-linux.org> bc63b41
- updated to 3.24.2

* Fri May 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 4def1d0
- updated to 3.24.1

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 704e383
- gettext version, added gtk-doc BR

* Sat May 06 2017 Marcin Banasiak <marcin.banasiak@gmail.com> a77b6a4
- Update to 3.24.0.1

* Wed Jan 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> ed9b625
- Update to 3.22.1

* Sat Oct 15 2016 Jan Rękorajski <baggins@pld-linux.org> 8a9c09b
- up to 3.20.2

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 93a9cf1
- new

